# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
name = "koharu-models"
version = "0.10.0"
authors = ["Mayo Takanashi <mayo@linux.com>"]
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "Manga translation tools"
homepage = "https://koharu.rs"
readme = "README.md"
keywords = [
    "manga",
    "ocr",
    "translation",
    "deep_learning",
    "computer_vision",
]
license = "Apache-2.0"
repository = "https://github.com/mayocream/koharu"

[features]
coreml = ["ort/coreml"]
cuda = [
    "ort/cuda",
    "candle-core/cuda",
    "candle-transformers/cuda",
]
metal = [
    "candle-core/metal",
    "candle-transformers/metal",
]

[lib]
name = "koharu_models"
path = "src/lib.rs"

[[bin]]
name = "comic-text-detector"
path = "bin/comic-text-detector.rs"

[[bin]]
name = "lama"
path = "bin/lama.rs"

[[bin]]
name = "llm"
path = "bin/llm.rs"

[[bin]]
name = "manga-ocr"
path = "bin/manga-ocr.rs"

[dependencies.anyhow]
version = "1.0"

[dependencies.candle-core]
version = "=0.9.2-alpha.1"

[dependencies.candle-transformers]
version = "=0.9.2-alpha.1"

[dependencies.clap]
version = "4.5"
features = ["derive"]

[dependencies.hf-hub]
version = "0.4"

[dependencies.image]
version = "0.25"

[dependencies.imageproc]
version = "0.25"

[dependencies.koharu-core]
version = "0.10.0"
default-features = false

[dependencies.ndarray]
version = "0.16"

[dependencies.ort]
version = "=2.0.0-rc.10"
features = [
    "ndarray",
    "load-dynamic",
    "tracing",
]
default-features = false

[dependencies.strum]
version = "0.27"
features = ["derive"]

[dependencies.tokenizers]
version = "0.22"
features = ["onig"]
default-features = false

[dependencies.tokio]
version = "1.44"
features = ["full"]

[dependencies.tracing]
version = "0.1"
